import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as v } from "./PieIconComponent.js";
import { safeCustomElement as a } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (l, t, o, s) => {
  for (var e = s > 1 ? void 0 : s ? m(t, o) : t, p = l.length - 1, i; p >= 0; p--)
    (i = l[p]) && (e = (s ? i(t, o, e) : i(e)) || e);
  return s && e && f(t, o, e), e;
};
let r = class extends v {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--shekel", this.class = "c-pieIcon c-pieIcon--shekel", this.name = "IconShekel";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--shekel"><path d="M8 5.156H3.406v8.094H2.094V3.844H8a2.406 2.406 0 0 1 2.406 2.406v3.5H9.094v-3.5A1.094 1.094 0 0 0 8 5.156Zm4.594-1.531v8.094H8a1.094 1.094 0 0 1-1.094-1.094v-3.5H5.594v3.5A2.406 2.406 0 0 0 8 13.031h5.906V3.625h-1.312Z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], r.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = c([
  a("icon-shekel")
], r);
export {
  r as IconShekel
};
